<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:tabPanel id="tabpanelForSaving">
        <gri:tab id="personInfo" head="#{messages['net.ihe.gazelle.xdstar.PersonalInformations']}">
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['users.FirstName']}</ui:define>
                        <ui:param name="id" value="FNinput"/>
                        <h:inputText id="FNinput" required="true" value="#{personInfo.fname}"
                                     styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MiddleName']}</ui:define>
                        <ui:param name="id" value="MNinput"/>
                        <h:inputText id="MNinput" value="#{personInfo.secname}" styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['users.LastName']}</ui:define>
                        <ui:param name="id" value="LNinput"/>
                        <h:inputText id="LNinput" required="true" value="#{personInfo.lname}"
                                     styleClass="form-control"/>
                    </s:decorate>
                </div>
            </div>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MaidenName_3']}</ui:define>
                <h:inputText id="mainaminput" value="#{personInfo.documentHeader.person.maidenLname}"
                             styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Gender_2']}</ui:define>
                <h:inputText id="genderinput" value="#{personInfo.gender}" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Birthday']}</ui:define>
                <ui:param name="id" value="date"/>
                <rich:calendar id="date"
                               value="#{personInfo.dob}"
                               popup="true"
                               showApplyButton="false" cellWidth="24px"
                               datePattern="#{dateDisplay.calendarPatternDate}"
                               locale="#{dateDisplay.calendarLocale}"
                               timeZone="#{dateDisplay.calendarTimeZoneDate}" cellHeight="22px"
                               style="width:200px" required="true" render="nameDecoration">
                    <a4j:ajax event="change" render="mainTable"/>
                </rich:calendar>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="patientidinput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PatientId_2']}</ui:define>
                <div class="form-control-static">
                    <rich:inputNumberSpinner id="patientidinput"
                                             value="#{personInfo.piIdentifier}"
                                             minValue="1" maxValue="10000000"/>
                </div>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Race']}</ui:define>
                <ui:param name="id" value="raceinput"/>
                <h:selectOneMenu id="raceinput" value="#{personInfo.race}"
                                 styleClass="form-control gzl-form-control gzl-select-text">
                    <s:selectItems value="#{patientManagerBean.getListRaces()}" var="raceUsed"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}"
                                   label="#{raceUsed.raceDesc}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Religion']}</ui:define>
                <ui:param name="id" value="religionTypeinput"/>
                <h:selectOneMenu id="religionTypeinput" value="#{personInfo.religionType}"
                                 styleClass="form-control gzl-form-control gzl-select-text">
                    <s:selectItems value="#{patientManagerBean.getListReligion()}" var="religionUsed"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}"
                                   label="#{religionUsed.religionTypeDesc}"/>
                </h:selectOneMenu>
            </s:decorate>
        </gri:tab>
        <gri:tab id="LocationPanel" head="#{messages['net.ihe.gazelle.xdstar.LocationInformations']}">
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="Countryinput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Country_2']}</ui:define>
                        <h:inputText id="Countryinput" required="true" value="#{personInfo.country}"
                                     styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="Stateinput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.State']}</ui:define>
                        <h:inputText id="Stateinput" value="#{personInfo.stateProv}" styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="Cityinput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.City_2']}</ui:define>
                        <h:inputText id="Cityinput" value="#{personInfo.city}" styleClass="form-control"/>
                    </s:decorate>
                </div>
            </div>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.StreetAddress']}</ui:define>
                <h:inputText id="Streetinput" value="#{personInfo.address1}" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Zipcode']}</ui:define>
                <h:inputText id="zipcodeinput" value="#{personInfo.zip}" styleClass="form-control"/>
            </s:decorate>
        </gri:tab>
        <gri:tab id="ContactPanel" head="#{messages['net.ihe.gazelle.xdstar.ContactInformations']}">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TelephoneNumber']}</ui:define>
                <h:inputText id="Telinput" value="#{personInfo.phoneNum}" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Email']}</ui:define>
                <h:inputText id="emailinput" value="#{personInfo.email}" styleClass="form-control"/>
            </s:decorate>
        </gri:tab>
    </gri:tabPanel>
</ui:composition>
